package vfl;

import JSci.maths.ExtraMath;
import java.awt.*;
import java.util.*;
import java.awt.geom.*;

public class SeaEllipse implements SeaObject {
	
    private int a;
    private int b;
    private int cx;
    private int cy;
	
	
	public SeaEllipse (int cx, int cy, double lambda, double height, double amp) {
    	double k = 2.0*Math.PI/ lambda;
    	
    	this.a = (int)(amp*ExtraMath.cosh(k*(-(cy-2*amp)+height)) / ExtraMath.cosh(k*height));
    	this.b = (int)(amp*ExtraMath.sinh(k*(-(cy-2*amp)+height)) / ExtraMath.sinh(k*height));
        //this.a = (int)(amp*ExtraMath.cosh(k*(-(cy-2*amp)+height)) / Math.cos(k*(-(cy-2*amp)+height)));
    	//this.b = (int)(amp*ExtraMath.sinh(k*(-(cy-2*amp)+height)) / Math.sin(k*(-(cy-2*amp)+height)));
    
        this.cx = cx-a;
    	this.cy = cy-b;
    	  

    }	
		
		
	public void move(double time){}
		
	public void moveTo(double time){}
	
	public void paint(Graphics g){
		g.setColor(Color.red);
		g.drawOval(cx,cy,2*a, 2*b);  	
		
	}
	
	

	
}
