package vfl;

import JSci.maths.ExtraMath;
import java.awt.*;
import java.util.*;
import java.awt.geom.*;

public class Particle implements SeaObject {
	private double height;
	private int cx;
	private int cy;
	private double k;
	private double amp;
	private double w;
	private double time;
	
	
	public Particle (int cx, int cy, double lambda, double height, double omega, double amp) {
		this.cx = cx;
		this.cy = cy;
		this.height = height;
		k = 2.0*Math.PI/lambda;
		this.amp = amp;
		w = omega;
		this.time = time;
	
	} 
	
	public void move(double time) {
	  this.time = this.time + time;	
		
	}
		
	public void moveTo(double time) {  
	  this.time = time;
	
    }
	public void paint(Graphics g){
	  double tc = (int) (cy-2*amp);
	  double x = -amp * ExtraMath.cosh(k*(-tc+height)) / ExtraMath.cosh (k*height) * Math.sin((k*cx)-(w*time));	
	  double y = amp * ExtraMath.sinh(k*(-tc+height)) / ExtraMath.sinh (k*height) * Math.cos((k*cx)-(w*time));	
	  g.setColor(Color.blue);
	  g.fillOval((int)x+cx-2,-(int)y-2+cy,4,4);	
		
	}
	


}


